Page 1 of 3 123 LastLast
Results 1 to 10 of 27

Thread: problem with nvidia geforce 930m apfter upgrade

  1. #1
    Join Date
    Feb 2015
    Location
    Brasil
    Beans
    33
    Distro
    Ubuntu 14.04 Trusty Tahr

    problem with nvidia geforce 930m apfter upgrade

    OS: Ubuntu 14.04.1 LTS
    Kernel 4.4.0-104
    Notebook Dell Inspiron 15

    After Upgrade my nvidia geforce 930m doesn't work and show the message low graphic mode. The system install nvidia 384.90 and this was the problem. what is the driver compatibility for this distro and kernel? Somebody have similar problem with ?

    data for comand lshw -C display
    Code:
      *-display UNCLAIMED
           description: 3D controller
           product: GM108M [GeForce 930M]
           vendor: NVIDIA Corporation
           physical id: 0
           bus info: pci@0000:01:00.0
           version: a2
           width: 64 bits
           clock: 33MHz
           capabilities: pm msi pciexpress bus_master cap_list
           configuration: latency=0
           resources: memory:d2000000-d2ffffff memory:c0000000-cfffffff memory:d0000000-d1ffffff ioport:e000(size=128) memory:d3000000-d307ffff

  2. #2
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,470
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: problem with nvidia geforce 930m apfter upgrade

    fbio7; Hello -

    You have no driver loaded per that output .
    A quick stab at it - try:
    Make sure secure boot is disabled in bios -
    Code:
    sudo apt update
    sudo apt full-upgrade
    sudo apt purge nvidia*
    sudo rm /etc/X11/xorg.conf 
    sudo ubuntu-drivers autoinstall
    Re-boot to see the effect .

    maybe yes
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  3. #3
    Join Date
    Feb 2015
    Location
    Brasil
    Beans
    33
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: problem with nvidia geforce 930m apfter upgrade

    Hi Bashing-on

    I don't want to upgrade my distro of 14.04 to another. I only want to get my system up to date. I purge the nvidia drive and now I can login using the nouveau display drive but I can't use the performance mode of my card. I want to install a nvidia package compatible with this version that I am using and I don't know what was the previous drive that I was using before this update.

    I tried install the ppa from the site https://launchpad.net/~graphics-driv...ive/ubuntu/ppa but the drivers doen't work, maybe I did something wrong in the process.

    thanks for helping.
    Fábio

  4. #4
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,470
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: problem with nvidia geforce 930m apfter upgrade

    fbio7; Welp ;

    full-upgrade has nothing to do with a release upgrade to next - it just installs "new" software for the current install release/

    Nothing wrong in using our PPA for the nvidia driver.

    show us now what is installed:
    Code:
    cat /etc/apt/sources.list.d/*.list
    dpkg -l | grep -i nvidia
    lsmod | grep nvidia
    sudo lshw -C display
    should be
    nothing but a thing
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  5. #5
    Join Date
    Feb 2015
    Location
    Brasil
    Beans
    33
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: problem with nvidia geforce 930m apfter upgrade

    Hi Bashing-on

    Thanks for help. follow the information:

    Code:
    Inspiron-5557:~$ cat /etc/apt/sources.list.d/*.list
    deb http://ppa.launchpad.net/gezakovacs/ppa/ubuntu trusty main
    ### THIS FILE IS AUTOMATICALLY CONFIGURED ###
    # You may comment out this entry, but any other modifications may be lost.
    deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
    deb http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu trusty main
    # deb-src http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu trusty main
    deb http://ppa.launchpad.net/thomas.tsai/ubuntu-tuxboot/ubuntu trusty main
    deb http://dell.archive.canonical.com/updates/ trusty-dell-csmb-vivid-skl public
    deb-src http://dell.archive.canonical.com/updates/ trusty-dell-csmb-vivid-skl public
    deb http://dell.archive.canonical.com/updates/ trusty-dell public
    deb-src http://dell.archive.canonical.com/updates/ trusty-dell public
    deb http://oem.archive.canonical.com/updates/ trusty-oem public
    deb-src http://oem.archive.canonical.com/updates/ trusty-oem public
    deb http://oem.archive.canonical.com/updates/ trusty-oem-sp1 public
    deb-src http://oem.archive.canonical.com/updates/ trusty-oem-sp1 public
    deb http://ppa.launchpad.net/videolan/master-daily/ubuntu trusty main
    # deb-src http://ppa.launchpad.net/videolan/master-daily/ubuntu trusty main
    deb http://ppa.launchpad.net/yannubuntu/boot-repair/ubuntu trusty main
    Code:
    Inspiron-5557:~$ dpkg -l | grep -i nvidia
    ii  bbswitch-dkms                                         0.7-2ubuntu1                                        amd64        Interface for toggling the power on nVidia Optimus video cards
    rc  libcuda1-340
    Code:
     
        Inspiron-5557:~$ sudo lshw -C display
      *-display               
           description: VGA compatible controller
           product: Sky Lake Integrated Graphics
           vendor: Intel Corporation
           physical id: 2
           bus info: pci@0000:00:02.0
           version: 07
           width: 64 bits
           clock: 33MHz
           capabilities: pciexpress msi pm vga_controller bus_master cap_list rom
           configuration: driver=i915_bpo latency=0
           resources: irq:125 memory:d4000000-d4ffffff memory:b0000000-bfffffff ioport:f000(size=64)
      *-display UNCLAIMED
           description: 3D controller
           product: GM108M [GeForce 930M]
           vendor: NVIDIA Corporation
           physical id: 0
           bus info: pci@0000:01:00.0
           version: a2
           width: 64 bits
           clock: 33MHz
           capabilities: pm msi pciexpress bus_master cap_list
           configuration: latency=0
           resources: memory:d2000000-d2ffffff memory:c0000000-cfffffff memory:d00000

  6. #6
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,470
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: problem with nvidia geforce 930m apfter upgrade

    fbio7;' Still -

    No graphic's driver installed .

    Post back the results :
    Code:
    sudo apt update
    sudo apt full-upgrade
    See what might prevent you obtaining the nvidia proprietary driver .

    gotta be a reason
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  7. #7
    Join Date
    Oct 2016
    Location
    Illinois
    Beans
    91
    Distro
    Lubuntu 17.10 Artful Aardvark

    Re: problem with nvidia geforce 930m apfter upgrade

    You could manually install the nVidia drivers through their website or through the repositories:

    Code:
    sudo apt install nvidia-384

  8. #8
    Join Date
    Feb 2015
    Location
    Brasil
    Beans
    33
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: problem with nvidia geforce 930m apfter upgrade

    Hi..follow the codes

    Code for update
    Code:
    Inspiron-5557:~$ sudo apt-get update
    Ign http://dl.google.com stable InRelease
    Ign http://us.archive.ubuntu.com trusty InRelease                              
    Ign http://archive.canonical.com trusty InRelease                              
    Get:1 http://us.archive.ubuntu.com trusty-security InRelease [65,9 kB]         
    Hit http://dl.google.com stable Release.gpg                                    
    Ign http://dell.archive.canonical.com trusty-dell-csmb-vivid-skl InRelease     
    Hit http://ppa.launchpad.net trusty InRelease                                  
    Hit http://archive.canonical.com trusty Release.gpg                            
    Hit http://dl.google.com stable Release                                        
    Ign http://oem.archive.canonical.com trusty-oem-sp1 InRelease                  
    Hit http://archive.canonical.com trusty Release                                
    Ign http://dell.archive.canonical.com trusty-dell InRelease                    
    Ign http://oem.archive.canonical.com trusty-oem InRelease                      
    Hit http://dl.google.com stable/main amd64 Packages                            
    Get:2 http://us.archive.ubuntu.com trusty-updates InRelease [65,9 kB]          
    Hit http://archive.canonical.com trusty/partner Sources                        
    Hit http://ppa.launchpad.net trusty InRelease                                  
    Hit http://dell.archive.canonical.com trusty-dell-csmb-vivid-skl Release.gpg   
    Hit http://oem.archive.canonical.com trusty-oem-sp1 Release.gpg                
    Hit http://us.archive.ubuntu.com trusty-backports InRelease                    
    Hit http://archive.canonical.com trusty/partner amd64 Packages                 
    Hit http://dell.archive.canonical.com trusty-dell Release.gpg                  
    Hit http://oem.archive.canonical.com trusty-oem Release.gpg                    
    Hit http://us.archive.ubuntu.com trusty Release.gpg                            
    Hit http://archive.canonical.com trusty/partner i386 Packages                  
    Hit http://archive.canonical.com trusty/partner Translation-en                 
    Get:3 http://us.archive.ubuntu.com trusty-security/main Sources [147 kB]       
    Hit http://dell.archive.canonical.com trusty-dell-csmb-vivid-skl Release       
    Hit http://oem.archive.canonical.com trusty-oem-sp1 Release                    
    Ign http://ppa.launchpad.net trusty InRelease                                  
    Hit http://dell.archive.canonical.com trusty-dell Release                      
    Hit http://oem.archive.canonical.com trusty-oem Release                        
    Get:4 http://us.archive.ubuntu.com trusty-security/restricted Sources [4.931 B]
    Get:5 http://us.archive.ubuntu.com trusty-security/universe Sources [67,2 kB]  
    Hit http://dell.archive.canonical.com trusty-dell-csmb-vivid-skl/public Sources
    Hit http://ppa.launchpad.net trusty InRelease                                  
    Hit http://oem.archive.canonical.com trusty-oem-sp1/public Sources             
    Get:6 http://us.archive.ubuntu.com trusty-security/multiverse Sources [3.182 B]
    Hit http://dell.archive.canonical.com trusty-dell-csmb-vivid-skl/public amd64 Packages
    Hit http://oem.archive.canonical.com trusty-oem-sp1/public amd64 Packages      
    Get:7 http://us.archive.ubuntu.com trusty-security/main amd64 Packages [697 kB]
    Hit http://dell.archive.canonical.com trusty-dell-csmb-vivid-skl/public i386 Packages
    Hit http://oem.archive.canonical.com trusty-oem-sp1/public i386 Packages       
    Ign http://dl.google.com stable/main Translation-en_US                         
    Get:8 http://us.archive.ubuntu.com trusty-security/restricted amd64 Packages [14,1 kB]
    Ign http://dl.google.com stable/main Translation-en                            
    Ign http://dl.google.com stable/main Translation-pt                            
    Get:9 http://us.archive.ubuntu.com trusty-security/universe amd64 Packages [199 kB]
    Ign http://dl.google.com stable/main Translation-pt_BR                         
    Get:10 http://us.archive.ubuntu.com trusty-security/multiverse amd64 Packages [4.800 B]
    Get:11 http://us.archive.ubuntu.com trusty-security/main i386 Packages [641 kB]
    Hit http://ppa.launchpad.net trusty InRelease                                  
    Hit http://dell.archive.canonical.com trusty-dell/public Sources               
    Hit http://oem.archive.canonical.com trusty-oem/public Sources                 
    Hit http://dell.archive.canonical.com trusty-dell/public amd64 Packages        
    Hit http://oem.archive.canonical.com trusty-oem/public amd64 Packages          
    Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
    Hit http://dell.archive.canonical.com trusty-dell/public i386 Packages         
    Hit http://oem.archive.canonical.com trusty-oem/public i386 Packages           
    Get:12 http://us.archive.ubuntu.com trusty-security/restricted i386 Packages [13,9 kB]
    Get:13 http://us.archive.ubuntu.com trusty-security/universe i386 Packages [195 kB]
    Hit http://ppa.launchpad.net trusty/main i386 Packages                         
    Get:14 http://us.archive.ubuntu.com trusty-security/multiverse i386 Packages [4.958 B]
    Get:15 http://us.archive.ubuntu.com trusty-security/main Translation-en [375 kB]
    Hit http://ppa.launchpad.net trusty/main Translation-en                        
    Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
    Get:16 http://us.archive.ubuntu.com trusty-security/multiverse Translation-en [2.564 B]
    Get:17 http://us.archive.ubuntu.com trusty-security/restricted Translation-en [3.542 B]
    Get:18 http://us.archive.ubuntu.com trusty-security/universe Translation-en [113 kB]
    Hit http://ppa.launchpad.net trusty/main i386 Packages                         
    Get:19 http://us.archive.ubuntu.com trusty-updates/universe amd64 Packages [437 kB]
    Hit http://ppa.launchpad.net trusty/main Translation-en                        
    Get:20 http://us.archive.ubuntu.com trusty-updates/multiverse amd64 Packages [14,8 kB]
    Get:21 http://us.archive.ubuntu.com trusty-updates/main amd64 Packages [1.046 kB]
    Hit http://ppa.launchpad.net trusty Release.gpg                                
    Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
    Get:22 http://us.archive.ubuntu.com trusty-updates/restricted amd64 Packages [17,2 kB]
    Hit http://ppa.launchpad.net trusty/main i386 Packages                         
    Get:23 http://us.archive.ubuntu.com trusty-updates/universe i386 Packages [435 kB]
    Hit http://ppa.launchpad.net trusty/main Translation-en                        
    Get:24 http://us.archive.ubuntu.com trusty-updates/multiverse i386 Packages [15,3 kB]
    Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
    Get:25 http://us.archive.ubuntu.com trusty-updates/main i386 Packages [987 kB] 
    Hit http://ppa.launchpad.net trusty/main i386 Packages                         
    Hit http://ppa.launchpad.net trusty/main Translation-en                        
    Hit http://ppa.launchpad.net trusty Release                                    
    Get:26 http://us.archive.ubuntu.com trusty-updates/restricted i386 Packages [17,0 kB]
    Ign http://dell.archive.canonical.com trusty-dell-csmb-vivid-skl/public Translation-en_US
    Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
    Get:27 http://us.archive.ubuntu.com trusty-updates/main Translation-en [516 kB]
    Ign http://dell.archive.canonical.com trusty-dell-csmb-vivid-skl/public Translation-en
    Ign http://dell.archive.canonical.com trusty-dell-csmb-vivid-skl/public Translation-pt
    Hit http://ppa.launchpad.net trusty/main i386 Packages                         
    Ign http://dell.archive.canonical.com trusty-dell-csmb-vivid-skl/public Translation-pt_BR
    Ign http://dell.archive.canonical.com trusty-dell/public Translation-en_US     
    Ign http://dell.archive.canonical.com trusty-dell/public Translation-en        
    Ign http://oem.archive.canonical.com trusty-oem-sp1/public Translation-en_US   
    Ign http://dell.archive.canonical.com trusty-dell/public Translation-pt        
    Ign http://oem.archive.canonical.com trusty-oem-sp1/public Translation-en      
    Ign http://dell.archive.canonical.com trusty-dell/public Translation-pt_BR     
    Ign http://oem.archive.canonical.com trusty-oem-sp1/public Translation-pt      
    Get:28 http://us.archive.ubuntu.com trusty-updates/multiverse Translation-en [7.755 B]
    Ign http://oem.archive.canonical.com trusty-oem-sp1/public Translation-pt_BR   
    Get:29 http://us.archive.ubuntu.com trusty-updates/restricted Translation-en [4.031 B]
    Ign http://oem.archive.canonical.com trusty-oem/public Translation-en_US       
    Get:30 http://us.archive.ubuntu.com trusty-updates/universe Translation-en [236 kB]
    Ign http://oem.archive.canonical.com trusty-oem/public Translation-en          
    Ign http://oem.archive.canonical.com trusty-oem/public Translation-pt          
    Ign http://oem.archive.canonical.com trusty-oem/public Translation-pt_BR       
    Hit http://us.archive.ubuntu.com trusty-backports/universe amd64 Packages      
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse amd64 Packages    
    Hit http://us.archive.ubuntu.com trusty-backports/main amd64 Packages          
    Hit http://us.archive.ubuntu.com trusty-backports/restricted amd64 Packages    
    Hit http://us.archive.ubuntu.com trusty-backports/universe i386 Packages       
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse i386 Packages     
    Hit http://us.archive.ubuntu.com trusty-backports/main i386 Packages           
    Hit http://us.archive.ubuntu.com trusty-backports/restricted i386 Packages     
    Hit http://us.archive.ubuntu.com trusty-backports/main Translation-en          
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse Translation-en    
    Hit http://us.archive.ubuntu.com trusty-backports/restricted Translation-en    
    Hit http://us.archive.ubuntu.com trusty-backports/universe Translation-en      
    Hit http://us.archive.ubuntu.com trusty Release                                
    Hit http://us.archive.ubuntu.com trusty/main Sources                           
    Hit http://us.archive.ubuntu.com trusty/restricted Sources                     
    Hit http://us.archive.ubuntu.com trusty/universe Sources                       
    Hit http://us.archive.ubuntu.com trusty/multiverse Sources                     
    Hit http://us.archive.ubuntu.com trusty/main amd64 Packages                    
    Hit http://us.archive.ubuntu.com trusty/restricted amd64 Packages              
    Hit http://us.archive.ubuntu.com trusty/universe amd64 Packages                
    Hit http://us.archive.ubuntu.com trusty/multiverse amd64 Packages              
    Hit http://us.archive.ubuntu.com trusty/main i386 Packages                     
    Hit http://us.archive.ubuntu.com trusty/restricted i386 Packages               
    Hit http://us.archive.ubuntu.com trusty/universe i386 Packages                 
    Hit http://us.archive.ubuntu.com trusty/multiverse i386 Packages               
    Hit http://us.archive.ubuntu.com trusty/main Translation-en                    
    Hit http://us.archive.ubuntu.com trusty/main Translation-pt             
    Hit http://us.archive.ubuntu.com trusty/main Translation-pt_BR                 
    Hit http://us.archive.ubuntu.com trusty/multiverse Translation-en              
    Ign http://ppa.launchpad.net trusty/main Translation-en_US                     
    Hit http://us.archive.ubuntu.com trusty/multiverse Translation-pt              
    Hit http://us.archive.ubuntu.com trusty/multiverse Translation-pt_BR           
    Ign http://ppa.launchpad.net trusty/main Translation-en                        
    Hit http://us.archive.ubuntu.com trusty/restricted Translation-en              
    Hit http://us.archive.ubuntu.com trusty/restricted Translation-pt              
    Hit http://us.archive.ubuntu.com trusty/restricted Translation-pt_BR           
    Ign http://ppa.launchpad.net trusty/main Translation-pt                        
    Hit http://us.archive.ubuntu.com trusty/universe Translation-en                
    Ign http://ppa.launchpad.net trusty/main Translation-pt_BR                     
    Hit http://us.archive.ubuntu.com trusty/universe Translation-pt                
    Hit http://us.archive.ubuntu.com trusty/universe Translation-pt_BR             
    Ign http://us.archive.ubuntu.com trusty/main Translation-en_US                 
    Ign http://us.archive.ubuntu.com trusty/multiverse Translation-en_US           
    Ign http://us.archive.ubuntu.com trusty/restricted Translation-en_US           
    Ign http://us.archive.ubuntu.com trusty/universe Translation-en_US             
    Fetched 6.351 kB in 22s (281 kB/s)                                             
    Reading package lists... Done
    Code for the full upgrade
    Code:
    Inspiron-5557:~$ sudo apt full-upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    The following packages were automatically installed and are no longer required:
      bbswitch-dkms grub-pc-bin libjansson4 libllvm3.6 libllvm3.6:i386 libvdpau1
      libxnvctrl0 linux-image-extra-3.19.0-79-generic
      linux-image-extra-4.4.0-66-generic linux-signed-image-3.19.0-79-generic
      linux-signed-image-4.4.0-66-generic screen-resolution-extra
    Use 'apt-get autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    I will login in root mode(only text without lightmdm service) and try to install the driver 384 again.

    thanks guys.

  9. #9
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,470
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: problem with nvidia geforce 930m apfter upgrade

    fbio7; Ho kay ..

    Looks good .. now I would run:
    Code:
    sudo apt autoremove
    as the package manager advises. ( get rid of " bbswitch-dkms " ).

    Now we try again - from the normal user account ( clt+alt+F2 if required ) :
    Code:
    sudo apt purge nvidia
    sudo rm /etc/X11/Xorg.conf ## if it should exist, if needed will be re-created
    sudo ubuntu-drivers autoinstall
    where autoinstall chooses the 387 version driver from the PPA - I will not be surprised .

    should workie great
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  10. #10
    Join Date
    Apr 2010
    Beans
    299
    Distro
    Ubuntu Development Release

    Re: problem with nvidia geforce 930m apfter upgrade

    @Bashing-om: you might need to guide fbio7 on how to remove any attempted manual installs (downloaded from nvidia)
    Quote Originally Posted by fbio7
    I will login in root mode(only text without lightmdm service) and try to install the driver 384 again.
    Smells like a manual install attempt to me

Page 1 of 3 123 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •